explain_connect_or_die(3)

NAME
explain_connect_or_die - initiate a connection on a socket and report errors
    "initiate a connection on a socket and report errors"

SYNOPSIS
#include <libexplain/connect.h>

void explain_connect_or_die(int fildes, const struct sockaddr *serv_addr, int serv_addr_size);

DESCRIPTION
The explain_connect_or_die function is used to call the connect(2) system call. On failure an explanation will be printed to stderr, obtained from explain_connect(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_connect_or_die(fildes, serv_addr, serv_addr_size);

fildes
    The fildes, exactly as to be passed to the connect(2) system call.

serv_addr
    The serv_addr, exactly as to be passed to the connect(2) system call.

serv_addr_size
    The serv_addr_size, exactly as to be passed to the connect(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

connect(2)
    initiate a connection on a socket

explain_connect(3)
    explain connect(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2008 Peter Miller